import request from "@/utils/request";
//获取硬件类型列表
const cmptHardwareType=()=>{
    return request({
        url: `/const/cmpt_hardware_type`,
        method: "get"
      });
}
//获取推理任务类型
const infrTaskType=()=>{
    return request({
        url: `/const/infr_task_type`,
        method: "get"
      });
}

//获取模型文件类型列表
const modlFileType=()=>{
    return request({
        url: `/const/modl_file_type`,
        method: "get"
      });
}
//获取模型框架名称列表
const modlFramework=()=>{
    return request({
        url: `/const/modl_framework`,
        method: "get"
      });
}
//获取模型主类型和子类型列表
const modlMainType=()=>{
    return request({
        url: `/const/modl_main_type`,
        method: "get"
      });
}

//获取模型网络类型列表
const modlNetType=()=>{
    return request({
        url: `/const/modl_net_type`,
        method: "get"
      });
}
//获取算子主类型列表
const operMainType=()=>{
    return request({
        url: `/const/oper_main_type`,
        method: "get"
      });
}
//获取用户权限类型
const userRole=()=>{
    return request({
        url: `/const/user_role`,
        method: "get"
      });
}

export default {
    cmptHardwareType,
    infrTaskType,
    modlFileType,
    modlFramework,
    modlMainType,
    modlNetType,
    operMainType,
    userRole
}